Bug 6536 - [Mar2018]: timing output of mclient -t / --timer= should go to stderr rather than stdout
Summary: [Mar2018]: timing output of mclient -t / --timer= should go to stderr rather ...
Status: RESOLVED FIXED
Alias: None
Product: Client interfaces
Classification: Unclassified
Component: mclient, msqldump (show other bugs)
Version: 11.27.11 (Jul2017-SP3)
Hardware: All All
: Normal enhancement
Assignee: clients devs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-08 07:30 CET by Stefan Manegold
Modified: 2018-03-29 15:39 CEST (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Manegold cwiconfidential 2018-02-08 07:30:45 CET
timing output of mclient -t / --timer= should go to stderr rather than stdout
Comment 1 MonetDB Mercurial Repository cwiconfidential 2018-02-08 08:58:23 CET
Changeset efcbf80ad9b0, made by Stefan Manegold <Stefan.Manegold@cwi.nl> in the MonetDB repo, refers to this bug.

For complete details, see https://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=efcbf80ad9b0

Changeset description:

	mclient manpage: warn about default --timer=clock invalidating csv, tab, xml output formats
	(as long as the timing output stil goes to stdout rather than stderr;
	 cf., feature request / bug 6536)
Comment 2 Stefan Manegold cwiconfidential 2018-02-08 09:41:37 CET
for an alternative (or addition?), see also feature request / bug 6537.

much like feature request / bug 6537 this is mainly to avoid that the default timing output compromises/invalidates the format of mclient's output formatters csv, tab, xml.
Comment 3 MonetDB Mercurial Repository cwiconfidential 2018-02-14 09:56:52 CET
Changeset 78546e443dd3, made by Stefan Manegold <Stefan.Manegold@cwi.nl> in the MonetDB repo, refers to this bug.

For complete details, see https://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=78546e443dd3

Changeset description:

	mclient, timerHuman(): report all timing on stderr rather than stdout,
	as per feature request / bug 6536 .
Comment 4 Stefan Manegold cwiconfidential 2018-02-14 10:16:40 CET
Fixed / implemented by changeset 78546e443dd3 .
Comment 5 Sjoerd Mullender cwiconfidential 2018-03-29 15:39:07 CEST
The Mar2018 version has been released.